Bug 1272965 - [fork][userinterface_public_456]Couldn't get detailed logs on web console
[fork][userinterface_public_456]Couldn't get detailed logs on web console
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Management Console (Show other bugs)
3.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: bpeterse
Yanping Zhang
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-19 06:17 EDT by Yanping Zhang
Modified: 2015-11-23 16:17 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-23 16:17:34 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
build-error (160.29 KB, image/png)
2015-10-19 06:18 EDT, Yanping Zhang
no flags Details
pod-error (170.44 KB, image/png)
2015-10-19 06:19 EDT, Yanping Zhang
no flags Details
deployment-page (223.81 KB, image/png)
2015-10-19 06:20 EDT, Yanping Zhang
no flags Details

  None (edit)
Description Yanping Zhang 2015-10-19 06:17:08 EDT
Description of problem:
Created app in project, after did build and deployment, checked logs on web console, there was no log info under the "Logs" label, and info under "Details" label also can not be shown.

Version-Release number of selected component (if applicable):
fork_ami_openshift3_userinterface_public_456_106

How reproducible:
Always


Steps to Reproduce:
1.Create app in project.
$oc create -f origin/example/sample-app/application-template-stibuild.json -n protest
$oc new-app ruby-helloworld-sample -n protest
2.Under "Browse" page, click "Builds"-> "ruby-sample-build" -> "#1" ->"Logs" to check the log for build.
3.Under "Browse" page, click "Pods"-> " database-1-lk2oy" ->"Logs" to check the log for database pod.
4.Under "Browse" page, click "Deployments" -> "database" -> "#1" to check the deployment log during deploying.

Actual results:
2.There is no log info under "Logs" label, and the "Details" info of the build also can not be shown.
3.There is no log info under "Logs" label, and the "Details" info of the pod also can not be shown.
4.There is no "Logs" label for the deployment.

Expected results:
2-4.Should show log info.

Additional info:
There is 403 error info in the console log during step2 and step3. Pls refer to the attachment.
Comment 1 Yanping Zhang 2015-10-19 06:18 EDT
Created attachment 1084323 [details]
build-error
Comment 2 Yanping Zhang 2015-10-19 06:19 EDT
Created attachment 1084325 [details]
pod-error
Comment 3 Yanping Zhang 2015-10-19 06:20 EDT
Created attachment 1084326 [details]
deployment-page
Comment 4 bpeterse 2015-10-19 09:47:12 EDT
Committed a fix for broken template path & generating a new fork_ami.  Commented on Trello card as well.
Comment 5 Yanping Zhang 2015-10-20 23:22:48 EDT
Tested on fork_ami_openshift3_userinterface_public_4560_131
openshift v1.0.6-702-g16849ae
kubernetes v1.1.0-alpha.1-653-g86b4e77
etcd 2.1.2

Steps to test:
1.Create app in project.
$oc create -f origin/example/sample-app/application-template-stibuild.json -n protest
$oc new-app ruby-helloworld-sample -n protest
2.Under "Browse" page, click "Builds"-> "ruby-sample-build" -> "#1" ->"Logs" to check the log for build.
3.Under "Browse" page, click "Pods"-> " database-1-lk2oy" ->"Logs" to check the log for database pod.

Actual results:
2,3.Logs are shown up, and can be viewed and downloaded. No 403 error exists now.

Note You need to log in before you can comment on or make changes to this bug.